##' Parameter estimation algorithms for POMP models.
##'
##' \pkg{pomp} currently implements the following algorithms for estimating model parameters:
##' \itemize{
##' \item \link[=mif2]{iterated filtering (IF2)}
##' \item \link[=pmcmc]{particle Markov chain Monte Carlo (PMCMC)}
##' \item \link[=abc]{approximate Bayesian computation (ABC)}
##' \item \link[=probe_match]{probe-matching via synthetic likelihood}
##' \item \link[=nlf]{nonlinear forecasting}
##' \item \link[=spect_match]{power-spectrum matching}
##' \item \link[=bsmc2]{Liu-West Bayesian sequential Monte Carlo}
##' \item \link[=kalman]{Ensemble and ensemble-adjusted Kalman filters}
##' }
##'
##' Help pages detailing each estimation algorithm are provided.
##'
##' @name estimation_algorithms
##' @rdname estimation_algorithms
##' @family estimation methods
##' @seealso \link[=basic_components]{basic model components},
##' \link[=workhorses]{workhorse functions},
##' \link[=elementary_algorithms]{elementary algorithms}.
##' 
NULL
